Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 507242 (CVE-2014-2741) - <net-im/openfire-3.9.2-r1: XML Decompression Denial of Service Vulnerability (CVE-2014-2741)
Summary: <net-im/openfire-3.9.2-r1: XML Decompression Denial of Service Vulnerability ...
Status: RESOLVED FIXED
Alias: CVE-2014-2741
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://secunia.com/advisories/57704/
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-09 14:03 UTC by Agostino Sarubbo
Modified: 2014-06-30 18:17 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2014-04-09 14:03:47 UTC
From ${URL} :

Description

A vulnerability has been reported in Openfire, which can be exploited by malicious people to cause a DoS (Denial of Service).

The vulnerability is caused due to an error when handling compressed streams and can be exploited to exhaust system resources via a specially crafted XML passed over XMPP streams.

The vulnerability is reported in versions 3.9.1 and prior.


Solution:
Fixed in the source code repository.

Provided and/or discovered by:
Giancarlo Pellegrino

Original Advisory:
Giancarlo Pellegrino:
http://xmpp.org/resources/security-notices/uncontrolled-resource-consumption-with-highly-compressed-xmpp-stanzas/


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Sergei Trofimovich gentoo-dev 2014-05-01 08:53:32 UTC
Bumped as

    =net-im/openfire-3.9.2-r1

ready to stable on

    amd64 x86

Release announce:
    http://community.igniterealtime.org/blogs/ignite/2014/04/30/openfire-392-has-been-released
With vuln fixed:
    http://issues.igniterealtime.org/browse/OF-770
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-05-01 10:45:48 UTC
Arches, please test and mark stable:

=net-im/openfire-3.9.2-r1

target KEYWORDS="amd64 x86"
Comment 3 Agostino Sarubbo gentoo-dev 2014-05-04 08:20:42 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2014-05-18 10:16:30 UTC
x86 stable.

Maintainer(s), please cleanup.
Security, please vote.
Comment 5 Sean Amoss gentoo-dev Security 2014-05-31 20:43:30 UTC
GLSA vote: Yes, with bug 266129.
Comment 6 Yury German Gentoo Infrastructure gentoo-dev Security 2014-06-10 01:12:03 UTC
Maintainer(s), please drop the vulnerable version.

GLSA Vote: Yes
Created a New GLSA request.
Comment 7 Sergei Trofimovich gentoo-dev 2014-06-10 07:15:07 UTC
(In reply to Yury German from comment #6)
> Maintainer(s), please drop the vulnerable version.

Dropped:
>  10 Jun 2014; Sergei Trofimovich <slyfox@gentoo.org> -files/buildxml.patch,
>  -files/openfire-3.7.1-buildxml-jdk7.patch, -openfire-3.6.1.ebuild,
>  -openfire-3.6.3.ebuild, -openfire-3.6.4.ebuild, -openfire-3.7.0.ebuild,
>  -openfire-3.7.1-r1.ebuild, -openfire-3.8.1.ebuild, -openfire-3.8.2-r1.ebuild,
>  -openfire-3.8.2.ebuild, -openfire-3.9.1.ebuild:
>  Drop old vulnerable version (security bug #507242).
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2014-06-13 17:52:33 UTC
CVE-2014-2741 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-2741):
  nio/XMLLightweightParser.java in Ignite Realtime Openfire before 3.9.2 does
  not properly restrict the processing of compressed XML elements, which
  allows remote attackers to cause a denial of service (resource consumption)
  via a crafted XMPP stream, aka an "xmppbomb" attack.
Comment 9 Yury German Gentoo Infrastructure gentoo-dev Security 2014-06-13 18:04:18 UTC
Maintainer(s), Thank you for cleanup!
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2014-06-30 18:17:19 UTC
This issue was resolved and addressed in
 GLSA 201406-35 at http://security.gentoo.org/glsa/glsa-201406-35.xml
by GLSA coordinator Mikle Kolyada (Zlogene).